freeslot("SPR_EXAM") -- Your gibs sprite prefix to freeslot!

// We toss everything in a ThinkFrame so we can let the CustomGibsThinker.lua load first!
local ScriptLoaded = false
addHook("ThinkFrame", function()
	if not(ScriptLoaded)
	and CUSTOM_GIBS then
		ScriptLoaded = true 

		// Create your list of skins for custom gibs here!
		// 		sprite -	The SPR to switch to
		// 		frame -		The frame of the SPR to switch to
		// 		nullifier - Set to true if you want to remove this part

		// Tails uses the full list of available gibs to replace.
		CUSTOM_GIBS["tails"] = {
			[SPR_DIEA] = {sprite = SPR_EXAM, frame = A, nullifier = false}, -- tires
			[SPR_DIEB] = {sprite = SPR_EXAM, frame = B, nullifier = false}, -- pipeframe bars
			[SPR_DIEC] = {sprite = SPR_EXAM, frame = C, nullifier = false}, -- pedal tip
			[SPR_DIED] = {sprite = SPR_EXAM, frame = D, nullifier = false}, -- right pedal
			[SPR_DIEE] = {sprite = SPR_EXAM, frame = E, nullifier = false}, -- steering wheel
			[SPR_DIEG] = {sprite = SPR_EXAM, frame = F, nullifier = false}, -- left pedal
			[SPR_DIEH] = {sprite = SPR_EXAM, frame = G, nullifier = false}, -- strut
			[SPR_DIEI] = {sprite = SPR_EXAM, frame = H, nullifier = false}, -- wheel axle bar
			[SPR_DIEJ] = {sprite = SPR_EXAM, frame = I, nullifier = false}, -- screw
			[SPR_DIEK] = {sprite = SPR_EXAM, frame = J, nullifier = false} -- N. Gin
		}
		
		//You don't have to list out every single DIE# particle! Here, Sonic will
		// use both SOME custom sprites and vanilla sprites.
		CUSTOM_GIBS["sonic"] = {
			[SPR_DIEA] = {sprite = SPR_EXAM, frame = C, nullifier = false}, -- tires
			[SPR_DIEC] = {sprite = SPR_EXAM, frame = A, nullifier = false}, -- pedal tip
			[SPR_DIED] = {sprite = SPR_EXAM, frame = A, nullifier = true}, -- right pedal
			[SPR_DIEE] = {sprite = SPR_EXAM, frame = A, nullifier = true}, -- steering wheel
			[SPR_DIEG] = {sprite = SPR_EXAM, frame = H, nullifier = true}, -- left pedal
			[SPR_DIEI] = {sprite = SPR_EXAM, frame = I, nullifier = true}, -- wheel axle bar
			[SPR_DIEJ] = {sprite = SPR_EXAM, frame = A, nullifier = false}, -- screw
			[SPR_DIEK] = {sprite = SPR_EXAM, frame = J, nullifier = false} -- N. Gin
		}
	end
end)